Package org.apache.commons.fileupload

# Class DiskFileUpload

java.lang.Object
org.apache.commons.fileupload.FileUploadBase
org.apache.commons.fileupload.DiskFileUpload

@Deprecated public class DiskFileUpload extends FileUploadBase
Deprecated.
1.1 Use `ServletFileUpload` together with `DiskFileItemFactory` instead.

High level API for processing file uploads.

This class handles multiple files per single HTML widget, sent using `multipart/mixed` encoding type, as specified by RFC 1867. Use `FileUploadBase.parseRequest(HttpServletRequest)` to acquire a list of `FileItem`s associated with a given HTML widget.

Individual parts will be stored in temporary disk storage or in memory, depending on their size, and will be available as `FileItem`s.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.apache.commons.fileupload.FileUploadBase

  `FileUploadBase.FileSizeLimitExceededException, FileUploadBase.FileUploadIOException, FileUploadBase.InvalidContentTypeException, FileUploadBase.IOFileUploadException, FileUploadBase.SizeException, FileUploadBase.SizeLimitExceededException, FileUploadBase.UnknownSizeException`

- ## Field Summary

  ### Fields inherited from class org.apache.commons.fileupload.FileUploadBase

  `ATTACHMENT, CONTENT_DISPOSITION, CONTENT_LENGTH, CONTENT_TYPE, DEFAULT_PART_HEADER_SIZE_MAX, FORM_DATA, MAX_HEADER_SIZE, MULTIPART, MULTIPART_FORM_DATA, MULTIPART_MIXED, MULTIPART_RELATED`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DiskFileUpload()`
  Deprecated.
  1.1 Use `FileUpload` instead.
  `DiskFileUpload(DefaultFileItemFactory fileItemFactory)`
  Deprecated.
  1.1 Use `FileUpload` instead.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `FileItemFactory`
  `getFileItemFactory()`
  Deprecated.
  1.1 Use `FileUpload` instead.
  `String`
  `getRepositoryPath()`
  Deprecated.
  1.1 Use `DiskFileItemFactory` instead.
  `int`
  `getSizeThreshold()`
  Deprecated.
  1.1 Use `DiskFileItemFactory` instead.
  `List<FileItem>`
  `parseRequest(HttpServletRequest req, int sizeThreshold, long sizeMax, String path)`
  Deprecated.
  1.1 Use `ServletFileUpload` instead.
  `void`
  `setFileItemFactory(FileItemFactory fileItemFactory)`
  Deprecated.
  1.1 Use `FileUpload` instead.
  `void`
  `setRepositoryPath(String repositoryPath)`
  Deprecated.
  1.1 Use `DiskFileItemFactory` instead.
  `void`
  `setSizeThreshold(int sizeThreshold)`
  Deprecated.
  1.1 Use `DiskFileItemFactory` instead.

  ### Methods inherited from class org.apache.commons.fileupload.FileUploadBase

  `createItem, getBoundary, getFieldName, getFieldName, getFileCountMax, getFileName, getFileName, getFileSizeMax, getHeader, getHeaderEncoding, getItemIterator, getParsedHeaders, getPartHeaderSizeMax, getProgressListener, getSizeMax, isMultipartContent, isMultipartContent, newFileItemHeaders, parseHeaders, parseParameterMap, parseRequest, parseRequest, setFileCountMax, setFileSizeMax, setHeaderEncoding, setPartHeaderSizeMax, setProgressListener, setSizeMax`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### DiskFileUpload

    @Deprecated public DiskFileUpload()
    Deprecated.
    1.1 Use `FileUpload` instead.
    Constructs an instance of this class which uses the default factory to create `FileItem` instances.
    See Also:
      - `DiskFileUpload(DefaultFileItemFactory fileItemFactory)`

  - ### DiskFileUpload

    @Deprecated public DiskFileUpload(DefaultFileItemFactory fileItemFactory)
    Deprecated.
    1.1 Use `FileUpload` instead.
    Constructs an instance of this class which uses the supplied factory to create `FileItem` instances.
    Parameters:
      `fileItemFactory` - The file item factory to use.
    See Also:
      - `DiskFileUpload()`

- ## Method Details

  - ### getFileItemFactory

    @Deprecated public FileItemFactory getFileItemFactory()
    Deprecated.
    1.1 Use `FileUpload` instead.
    Returns the factory class used when creating file items.
    Specified by:
      `getFileItemFactory` in class `FileUploadBase`
    Returns:
      The factory class for new file items.

  - ### getRepositoryPath

    @Deprecated public String getRepositoryPath()
    Deprecated.
    1.1 Use `DiskFileItemFactory` instead.
    Returns the location used to temporarily store files that are larger than the configured size threshold.
    Returns:
      The path to the temporary file location.
    See Also:
      - `setRepositoryPath(String)`

  - ### getSizeThreshold

    @Deprecated public int getSizeThreshold()
    Deprecated.
    1.1 Use `DiskFileItemFactory` instead.
    Returns the size threshold beyond which files are written directly to disk.
    Returns:
      The size threshold, in bytes.
    See Also:
      - `setSizeThreshold(int)`

  - ### parseRequest

    @Deprecated public List<FileItem> parseRequest(HttpServletRequest req, int sizeThreshold, long sizeMax, String path) throws FileUploadException
    Deprecated.
    1.1 Use `ServletFileUpload` instead.
    Processes an RFC 1867 compliant `multipart/form-data` stream. If files are stored on disk, the path is given by `getRepository()`.
    Parameters:
      `req` - The servlet request to be parsed. Must be non-null.
      `sizeThreshold` - The max size in bytes to be stored in memory.
      `sizeMax` - The maximum allowed upload size, in bytes.
      `path` - The location where the files should be stored.
    Returns:
      A list of `FileItem` instances parsed from the request, in the order that they were transmitted.
    Throws:
      `FileUploadException` - if there are problems reading/parsing the request or storing files.

  - ### setFileItemFactory

    @Deprecated public void setFileItemFactory(FileItemFactory fileItemFactory)
    Deprecated.
    1.1 Use `FileUpload` instead.
    Sets the factory class to use when creating file items. The factory must be an instance of `DefaultFileItemFactory` or a subclass thereof, or else a `ClassCastException` will be thrown.
    Specified by:
      `setFileItemFactory` in class `FileUploadBase`
    Parameters:
      `fileItemFactory` - The factory class for new file items.

  - ### setRepositoryPath

    @Deprecated public void setRepositoryPath(String repositoryPath)
    Deprecated.
    1.1 Use `DiskFileItemFactory` instead.
    Sets the location used to temporarily store files that are larger than the configured size threshold.
    Parameters:
      `repositoryPath` - The path to the temporary file location.
    See Also:
      - `getRepositoryPath()`

  - ### setSizeThreshold

    @Deprecated public void setSizeThreshold(int sizeThreshold)
    Deprecated.
    1.1 Use `DiskFileItemFactory` instead.
    Sets the size threshold beyond which files are written directly to disk.
    Parameters:
      `sizeThreshold` - The size threshold, in bytes.
    See Also:
      - `getSizeThreshold()`